Subject: Re: bug#57400: 29.0.50; Support sending patches from VC directly

From: Eli Zaretskii <[email-masked]>
Date: Tue, 04 Oct 2022 22:33:09 +0300

> From: Philip Kaludercic <[email-masked]>
> Cc: Lars Ingebrigtsen <[email-masked]>,  [email-masked],  [email-masked]
> Date: Tue, 04 Oct 2022 19:19:45 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Hg and bzr do have such commands.
>          ^
> 
> As I mentioned before, I have never used Bazaar before so I downloaded a
> repository to test out how patches are created and the output I get when
> picking out some revision is as follows:
> 
> --8<---------------cut here---------------start------------->8---
> rhea$ brz send --revision 6438 -o -
> Using saved parent location "http://bazaar.launchpad.net/~bzr-pqm/bzr/bzr.dev/" to determine what changes to submit.
> Bundling 0 revisions.
> # Bazaar merge directive format 2 (Bazaar 0.90)
> # revision_id: [email-masked]
> # target_branch: http://bazaar.launchpad.net/~bzr-pqm/bzr/bzr.dev/
> # testament_sha1: 0363416e18dfbea56a231638540b5f10be10c81c
> # timestamp: 2022-10-04 21:13:18 +0200
> # base_revision_id: [email-masked]
> # 
> # Begin patch
> # Begin bundle
> IyBCYXphYXIgcmV2aXNpb24gYnVuZGxlIHY0CiMKQlpoOTFBWSZTWdjgvvgAABJfgAAQQGFxUBIAAACv794QIABkRTaajamQyGjTaRiFGgBMBBkwQhDmaVnH5r9hMFQyJ7EUzThiw4Ixc/mQVpexbPS29yLLTxaFbWvXcN2zcydOQxpD652acQC4g4Z96jI5BipgKAAiM5Zz45Kd/4u5IpwoSGxwX3wA
> --8<---------------cut here---------------end--------------->8---
> 
> Which doesn't look like a patch to me.  My understanding from[0] is that
> this is a "merge directive" indicating what change has to be made.  But
> according to [1] a merge directive
> 
> > [...] provides many things needed for requesting merges:
> 
> > - A machine-readable description of the merge to perform
> > - An optional patch that is a preview of the changes requested
> > - An optional bundle of revision data, so that the changes can be applied directly from the merge directive, without retrieving data from a branch.
> 
> so it might just be that my command is wrong?

Yes, try this instead:

  brz send --revision 6437..6438 -o -

(Repeat after me: Bazaar is not Git, Bazaar is not Git, Bazaar is...)